function [par,opts]=setpar(par)
%-----------------------------------------------------------------
% parameters for the MCLSTV function
%
% params(1)=tol; 
% params(2)=maxit; % max iterations k
% params(3)=ks; % bisection iterations (>=2)
% params(4)=lambda; % starting value lambda_0
% params(5)=verbose; % 0 to suppress inner figures
% params(6)=gamma_par (-1 for automatic computation)
% params(7)=adapt 
% params(8)=beta
% params(9)= maximum gamma adaptation iterations
%
par.TOL_ratio=1.e-4; % alpha in MCLSTV (Algorithm 4)
par.percP=0.25;  % P in MCLSTV (Algorithm 4)
%
gamma_par=-1;
adapt=1;
maxit_adapt=15;
params=[1.e-3, -1, -1, -1,0,gamma_par, adapt, 0.001,maxit_adapt];
par.params=params;
%
%---------------------------------------------------------
% Options of FTVd 4
%---------------------------------------------------------
    opts.maxitr = 500;
    opts.beta1 = 5;
    opts.beta2 = 20;
    opts.gamma = 1.618;
    opts.relchg = 1.e-3;
    opts.print = 0;
%-----------------------------------------------------
